{
  "custom": {},
  "params": {
    "background_color": "#FFFFFF",
    "cellName": "Machine",
    "cellPath": "",
    "cellState": "Running",
    "equipmentPath": "",
    "indexVisibility": true,
    "manualMode": "",
    "productName": "Phone"
  },
  "propConfig": {
    "params.background_color": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.cellName": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.cellPath": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.cellState": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.equipmentPath": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.indexVisibility": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.manualMode": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.productName": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "width": 703
    }
  },
  "root": {
    "children": [
      {
        "children": [
          {
            "meta": {
              "name": "Cell Name"
            },
            "position": {
              "grow": 0.5
            },
            "propConfig": {
              "props.text": {
                "binding": {
                  "config": {
                    "path": "view.params.cellName"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "style": {
                "backgroundColor": "#8B8B8B",
                "fontFamily": "Roboto",
                "fontSize": 18,
                "fontWeight": "bold",
                "marginBottom": 11,
                "paddingBottom": 11,
                "paddingTop": 11,
                "textAlign": "center"
              }
            },
            "type": "ia.display.label"
          },
          {
            "meta": {
              "name": "Product Name"
            },
            "propConfig": {
              "props.text": {
                "binding": {
                  "config": {
                    "fallbackDelay": 2.5,
                    "mode": "expression",
                    "tagPath": "{view.params.productName}"
                  },
                  "overlayOptOut": true,
                  "transforms": [
                    {
                      "code": "\tif value:\n\t\treturn value\n\telse:\n\t\treturn \u0027\u0027",
                      "type": "script"
                    }
                  ],
                  "type": "tag"
                }
              }
            },
            "props": {
              "style": {
                "fontFamily": "Roboto",
                "marginBottom": 11,
                "textAlign": "center"
              }
            },
            "type": "ia.display.label"
          },
          {
            "meta": {
              "name": "Cell State"
            },
            "propConfig": {
              "props.style.color": {
                "binding": {
                  "config": {
                    "path": "this.props.text"
                  },
                  "transforms": [
                    {
                      "fallback": "#000000",
                      "inputType": "scalar",
                      "mappings": [
                        {
                          "input": "Running",
                          "output": "#00AC00"
                        },
                        {
                          "input": "E-Stop Pulled",
                          "output": "#D90000"
                        }
                      ],
                      "outputType": "color",
                      "type": "map"
                    }
                  ],
                  "type": "property"
                }
              },
              "props.text": {
                "binding": {
                  "config": {
                    "fallbackDelay": 2.5,
                    "mode": "expression",
                    "tagPath": "{view.params.cellState}"
                  },
                  "overlayOptOut": true,
                  "transforms": [
                    {
                      "code": "\tif value:\n\t\treturn value\n\telse:\n\t\treturn \u0027\u0027",
                      "type": "script"
                    }
                  ],
                  "type": "tag"
                }
              }
            },
            "props": {
              "style": {
                "fontFamily": "Roboto",
                "textAlign": "center"
              }
            },
            "type": "ia.display.label"
          }
        ],
        "meta": {
          "name": "FlexContainer"
        },
        "position": {
          "grow": 1
        },
        "props": {
          "direction": "column",
          "justify": "space-evenly",
          "style": {
            "cursor": "auto"
          },
          "wrap": "wrap"
        },
        "type": "ia.container.flex"
      },
      {
        "children": [
          {
            "events": {
              "component": {
                "onActionPerformed": {
                  "config": {
                    "script": "\tsystem.mes.oee.indexCellProduct(self.view.params.cellPath,True)\n\t"
                  },
                  "scope": "G",
                  "type": "script"
                }
              }
            },
            "meta": {
              "name": "Button"
            },
            "propConfig": {
              "position.display": {
                "binding": {
                  "config": {
                    "path": "view.params.indexVisibility"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "style": {
                "classes": "Buttons/Small_Button",
                "height": "48px",
                "marginRight": 22,
                "width": "125px"
              },
              "text": "Index"
            },
            "type": "ia.input.button"
          },
          {
            "events": {
              "component": {
                "onActionPerformed": {
                  "config": {
                    "script": "\tif(self.view.params.manualMode):\n\t\tsystem.perspective.openPopup(\"123\",\"Popup/DT Reason Popup\",params \u003d {\"cellPath\":self.view.params.cellPath,\"equipmentPath\":  self.view.params.equipmentPath}, title \u003d \"Add Downtime Reason \" + self.view.params.cellName, resizable \u003d True,modal \u003d True )\n\t\t\n\t\t"
                  },
                  "scope": "G",
                  "type": "script"
                }
              }
            },
            "meta": {
              "name": "Button_0"
            },
            "propConfig": {
              "position.display": {
                "binding": {
                  "config": {
                    "path": "view.params.manualMode"
                  },
                  "enabled": false,
                  "type": "property"
                }
              }
            },
            "props": {
              "style": {
                "classes": "Buttons/Small_Button",
                "height": "48px",
                "width": "125px"
              },
              "text": "+ DT Reason"
            },
            "type": "ia.input.button"
          }
        ],
        "meta": {
          "name": "FlexContainer_0"
        },
        "propConfig": {
          "position.display": {
            "binding": {
              "config": {
                "path": "view.params.manualMode"
              },
              "type": "property"
            }
          }
        },
        "props": {
          "alignContent": "space-between",
          "justify": "center",
          "style": {
            "marginBottom": 11,
            "marginTop": 11
          }
        },
        "type": "ia.container.flex"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column",
      "justify": "space-around",
      "style": {
        "backgroundColor": "#FFFFFF",
        "borderColor": "#A7A5A4",
        "borderStyle": "solid",
        "borderWidth": 1,
        "margin": 10
      },
      "wrap": "wrap"
    },
    "type": "ia.container.flex"
  }
}